export = Comment;
declare class Comment {
    /**
     * Extract meta information from comments in the specified file.
     * Meta information includes: @url, @method, @disable, @delay, @status and so on.
     * @param {string} file
     */
    static parseCommentTags(file: string): {
        header: {} | undefined;
        method: any;
        delay: any;
        times: any;
        status: any;
        disable: any;
        remote: any;
        proxy: any;
        regexp: RegExp | string[];
        url: any;
    };
    /**
     * Parse the first comment block of specified file and return meta tags.
     * @param {string} file
     */
    static getFileCommentTags(file: string): {
        tag: string;
        info: string;
    }[];
    /**
     * Whether or not 'str' is a RegExp object like string.
     * @param {string} str
     */
    static isRegExp(str: string): false | "/" | "#";
    /**
     * Whether or not 'str' is a RegExp object like string.
     * @param {string} str
     * @param {boolean} returnRegStrWithOpts
     */
    static str2RegExp(str: string, returnRegStrWithOpts?: boolean): RegExp | string[];
}
